| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_TUPLE_PUSH_FRONT

BOOST_VMD_TUPLE_PUSH_FRONT — inserts an element at the beginning of a tuple.

## Synopsis

    // In header: <boost/vmd/tuple/push_front.hpp>

    BOOST_VMD_TUPLE_PUSH_FRONT(tuple, elem)

## Description

tuple = tuple to insert an element at. elem = element to insert.

If the tuple is an empty tuple the result is a tuple with the single element. Otherwise the result is a tuple after inserting the element at the beginning.